import Koa from 'koa';
import Concat from './middle-ware/concat/index';
import config from '../config.json';
import koaStatic from "koa2-static";

const app = new Koa();

const concat = new Concat({'staticPath':config.cabinServer.staticPath});

app.use(concat.init);

app.use(koaStatic({
    'path': '',
    'root': config.cabinServer.staticPath+'/'
}));

app.use(async ctx => {
    ctx.body = 'resource not found';

});


app.listen(config.cabinServer.port);

console.log('[cabin] server start at port:'+config.cabinServer.port);